routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

//Route::get('/', function () {
    //return view('welcome');

//});
//dd('SISTEMA EM MANUTENÇÃO : VOLTAMOS EM ALGUNS MINUTOS.');
Route::get('login', 'Auth\LoginController@showLoginForm')->name('login');
Route::post('login', 'Auth\LoginController@login');
Route::post('logout', 'Auth\LoginController@logout')->name('logout');

Route::get('/', 'HomeController@index')->name('home');

//Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');
Route::get('/acessonegado', 'AcessonegadoController@index')->name('acessonegado');
Route::resource('roles','RoleController');

Route::any('/importador','ImportadorController@index')->name('importador');
Route::any('/exportador','ExportadorController@index')->name('exportador');
Route::any('/exportador/export', 'ExportadorController@export')->name('exportador/export');
Route::any('/exportador/getprogress', 'ExportadorController@getprogress')->name('exportador/getprogress');


Route::any('/importador/importar','ImportadorController@importar')->name('importador/importar');
Route::any('/importador/getprogress','ImportadorController@getprogress')->name('importador/getprogress');


Route::any('/importador/rodcga','ImportadorController@rodcga')->name('importador/rodcga');
Route::any('/importador/rodgru','ImportadorController@rodgru')->name('importador/rodgru');
Route::any('/importador/rodunn','ImportadorController@rodunn')->name('importador/rodunn');
Route::any('/importador/rodcus','ImportadorController@rodcus')->name('importador/rodcus');
Route::any('/importador/pagcla','ImportadorController@pagcla')->name('importador/pagcla');
Route::any('/importador/cargo','ImportadorController@cargo')->name('importador/cargo');
Route::any('/importador/getprogressrodcus','ImportadorController@getprogressrodcus')->name('importador/getprogressrodcus');
Route::any('/importador/getprogressrodunn','ImportadorController@getprogressrodunn')->name('importador/getprogressrodunn');
Route::any('/importador/getprogressrodgru','ImportadorController@getprogressrodgru')->name('importador/getprogressrodgru');
Route::any('/importador/getprogressrodcga','ImportadorController@getprogressrodcga')->name('importador/getprogressrodcga');
Route::any('/importador/getprogresspagcla','ImportadorController@getprogresspagcla')->name('importador/getprogresspagcla');
Route::any('/importador/getprogresscargo','ImportadorController@getprogresscargo')->name('importador/getprogresscargo');

Route::any('/menudre','MenudreController@index')->name('menudre');
Route::any('/dre/pacote','DreController@pacote')->name('dre/pacote');
Route::any('/dre/download','DreController@download')->name('dre/download');
Route::any('/dre/detalhe','DreController@detalhe')->name('dre/detalhe');
Route::any('/dre/menu','DreController@menu')->name('dre/menu');
Route::any('/dre/processaebitda','DreController@processaebitda')->name('dre/processaebitda');
Route::any('/dre','DreController@index')->name('dre');

Route::any('/Previsaoorcamentaria/atualizadre','PrevisaoorcamentariaController@atualizadre')->name('previsaoorcamentaria/atualizadre');
Route::any('/Previsaoorcamentaria/simuladorepi','PrevisaoorcamentariaController@simuladorepi')->name('previsaoorcamentaria/simuladorepi');
Route::any('/Previsaoorcamentaria/dre','PrevisaoorcamentariaController@dre')->name('previsaoorcamentaria/dre');
Route::any('/Previsaoorcamentaria/pacoterateio','PrevisaoorcamentariaController@pacoterateio')->name('previsaoorcamentaria/pacoterateio');
Route::any('/Previsaoorcamentaria/simuladorqlp','PrevisaoorcamentariaController@simuladorqlp')->name('previsaoorcamentaria/simuladorqlp');
Route::any('/Previsaoorcamentaria/simuladorqlpadm','PrevisaoorcamentariaController@simuladorqlpadm')->name('previsaoorcamentaria/simuladorqlpadm');

Route::any('/Previsaoorcamentaria/receitarota','PrevisaoorcamentariaController@receitarota')->name('previsaoorcamentaria/receitarota');
Route::any('/Previsaoorcamentaria/variaveis','PrevisaoorcamentariaController@variaveis')->name('previsaoorcamentaria/variaveis');
Route::any('/Previsaoorcamentaria/trechos','PrevisaoorcamentariaController@trechos')->name('previsaoorcamentaria/trechos');
Route::any('/Previsaoorcamentaria/pacote','PrevisaoorcamentariaController@pacote')->name('previsaoorcamentaria/pacote');
Route::any('/Previsaoorcamentaria/operacional','PrevisaoorcamentariaController@operacional')->name('previsaoorcamentaria/operacional');
Route::any('/Previsaoorcamentaria/gente','PrevisaoorcamentariaController@gente')->name('previsaoorcamentaria/gente');
Route::any('/Previsaoorcamentaria/menu','PrevisaoorcamentariaController@menu')->name('previsaoorcamentaria/menu');
Route::any('/Previsaoorcamentaria/menupacote','PrevisaoorcamentariaController@menupacote')->name('previsaoorcamentaria/menupacote');
Route::any('/Previsaoorcamentaria/menufilial','PrevisaoorcamentariaController@menufilial')->name('previsaoorcamentaria/menufilial');
Route::any('/Previsaoorcamentaria/importar','PrevisaoorcamentariaController@importar')->name('previsaoorcamentaria/importar');
Route::any('/Previsaoorcamentaria/iniciaorclanfor','PrevisaoorcamentariaController@iniciaorclanfor')->name('previsaoorcamentaria/iniciaorclanfor');

Route::any('/forecast/receitarota','ForecastController@receitarota')->name('forecast/receitarota');
Route::any('/forecast/variaveis','ForecastController@variaveis')->name('forecast/variaveis');
Route::any('/forecast/pacote','ForecastController@pacote')->name('forecast/pacote');
Route::any('/forecast/operacional','ForecastController@operacional')->name('forecast/operacional');
Route::any('/forecast/gente','ForecastController@gente')->name('forecast/gente');
Route::any('/forecast/menu','ForecastController@menu')->name('forecast/menu');
Route::any('/forecast/menupacote','ForecastController@menupacote')->name('forecast/menupacote');
Route::any('/forecast/menufilial','ForecastController@menufilial')->name('forecast/menufilial');
Route::any('/forecast/importar','ForecastController@importar')->name('forecast/importar');
Route::any('/forecast/iniciaorclanfor','ForecastController@iniciaorclanfor')->name('forecast/iniciaorclanfor');

Route::any('/forecast','ForecastController@index')->name('forecast');

Route::any('/users-list', 'UsersController@usersList')->name('users-list');
Route::resource('users', 'UsersController');

//Route::any('/centrodegastounidade', 'CentrodegastounidadeController@index')->name('centrodegastounidade');
Route::any('/cdgu-list', 'CentrodegastounidadeController@cdguList')->name('cdgu-list');
Route::any('/centrodegastounidade/pacote', 'CentrodegastounidadeController@pacote')->name('centrodegastounidade/pacote');

Route::resource('centrodegastounidade', 'CentrodegastounidadeController');

Route::any('/receitarotaitens-list', 'ReceitarotaitensController@receitarotaitensList')->name('receitarotaitens-list');
Route::resource('receitarotaitens', 'ReceitarotaitensController');

Route::any('/passivoop-list', 'PassivoopController@passivoopList')->name('passivoop-list');
Route::resource('passivoop', 'PassivoopController');

Route::any('/deducoes-list', 'DeducoesController@deducoesList')->name('deducoes-list');
Route::resource('deducoes', 'DeducoesController');

Route::any('/impostos-list', 'ImpostosController@impostosList')->name('impostos-list');
Route::resource('impostos', 'ImpostosController');

Route::any('/variaveis-list', 'VariaveisController@variaveisList')->name('variaveis-list');
Route::resource('variaveis', 'VariaveisController');

Route::any('/epiitens-list', 'EpiitensController@epiitensList')->name('epiitens-list');
Route::resource('epiitens', 'EpiitensController');

Route::any('/custoclassificacao-list', 'CustoclassificacaoController@custoclassificacaoList')->name('custoclassificacao-list');
Route::resource('custoclassificacao', 'CustoclassificacaoController');

app/Http/Controllers/CentrodegastounidadeController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Redirect,Response,DB,Config;
use Datatables;
use View;
use Carbon\Carbon;
use Session;

class CentrodegastounidadeController extends Controller
{
    public $itemMenu = 6;

    public function __construct()
    {
        $this->middleware('auth');
        $this->middleware('ativo');
        View::share ( 'itemMenu', $this->itemMenu );
    }

    public function index()
    {
        $pageIcon = 'admin-people';
        $pageTitulo = 'Usuários';
        $itemMenu = 6;
        //View::share ( 'itemMenu', $itemMenu );

        return view('centrodegastounidade.index');
    }

    public function cdguList()
    {
        $sql = "SELECT GROUP_CONCAT(RODUNN.CODUNN ,' ', RODUNN.DESCRI SEPARATOR ',') AS UND ,MENUFILIAL.CODCGA,RODCGA.DESCRI AS CENTRODEGASTO FROM  MENUFILIAL
                INNER JOIN RODCGA ON MENUFILIAL.CODCGA = RODCGA.CODCGA
                INNER JOIN RODUNN ON MENUFILIAL.CODUNN = RODUNN.CODUNN GROUP BY MENUFILIAL.CODCGA,RODCGA.DESCRI";
        $menuFilial = DB::select($sql);


        return datatables()->of($menuFilial)
        ->addIndexColumn()
        ->addColumn('action', function($menuFilial){
              // $btn = '<form name="frmAdd" method="POST" action="'.route('centrodegastounidade.edit').'">';
              // $btn.=  '<input type="hidden" name="CODCGA" value="'.$menuFilial->CODCGA.'" />';
              // $btn.=  '<button type="submit" class="btn btn-primary save">Editar</button></form>';
               $btn =  '<a href="'.route('centrodegastounidade.edit',['CODCGA'=>$menuFilial->CODCGA]).'" class="btn btn-sm btn-info pull-left" style="margin-right: 3px;">Editar</a>';
//dd($btn);
                return $btn;
        })
        ->rawColumns(['action'])
            ->make(true);
    }

    public function create()
    {
        $listaRodcga = DB::table('RODCGA')->select('CODCGA','DESCRI AS CENTRODEGASTO')->where('SITUAC','=','A')->orderBy('CODCGA','ASC')->get();
        $listaRodunn = DB::table('RODUNN')->select('CODUNN','DESCRI AS UNIDADE')->where('SITUAC','=','A')->orderBy('CODUNN','ASC')->get();

       // dd($listaRodcga,$listaRodunn);

        return view('centrodegastounidade.create',['listaRodcga'=>$listaRodcga,'listaRodunn'=>$listaRodunn]);
    }

    public function store(Request $request)
    {
        //dd($request->CODUNN);
        if($request->CODUNN == null){
            $val[] = array('CODCGA'=>$request->CODCGA);
        }else{
            $val = array();
            foreach ($request->CODUNN as $v) {
                $val[] = array('CODCGA'=>$request->CODCGA,'CODUNN'=>$v);
            }

        }
        $insertVal = DB::table('MENUFILIAL')->insert($val);

        return redirect()->route('centrodegastounidade.index')
            ->with('flash_message',
             'Registro Adicionado.');
    }

    public function show($id)
    {

    }

    public function edit(Request $request,$id)
    {

        $listaRodcga = DB::table('RODCGA')->select('CODCGA','DESCRI AS CENTRODEGASTO')->where('SITUAC','=','A')->orderBy('CODCGA','ASC')->get();
        $listaRodunn = DB::table('RODUNN')->select('CODUNN','DESCRI AS UNIDADE')->where('SITUAC','=','A')->orderBy('CODUNN','ASC')->get();

        if($id){
            $codcga = $id;
            $unidades = DB::table('MENUFILIAL')->select('CODUNN')->where('CODCGA','=',$id)->pluck('CODUNN')->toArray();
        }

       //dd($unidades);

        return view('centrodegastounidade.edit',['listaRodcga'=>$listaRodcga,'listaRodunn'=>$listaRodunn,'codcga'=>$codcga,'unidades'=>$unidades]);
    }



    public function update(Request $request, $id)
    {

        $limpa = DB::table('MENUFILIAL')->where('CODCGA', '=', $request->CODCGA)->delete();

        if($request->CODUNN == null){
            $val[] = array('CODCGA'=>$request->CODCGA);
        }else{
            $val = array();
            foreach ($request->CODUNN as $v) {
                $val[] = array('CODCGA'=>$request->CODCGA,'CODUNN'=>$v);
            }
        }
        $insertVal = DB::table('MENUFILIAL')->insert($val);

        return redirect()->route('centrodegastounidade.index')
            ->with('flash_message',
             'Registro atualizado.');

    }

    public function destroy($id)
    {

    }

    public function pacote(Request $request){

        $created_at = Carbon::now()->format('Y-m-d H:i:s');
        $updated_at = Carbon::now()->format('Y-m-d H:i:s');
        $itensCodigo = array();

        if($request->codigo){

            DB::table('MENUPACOTE')->truncate();

            foreach($request->codigo as $cod){

                $itensCodigo[]  = ['CODIGO' => $cod,'created_at'=>$created_at,'updated_at'=>$updated_at];

            }

            $insertItemUSU_PACOTE     = DB::table('MENUPACOTE')->insert($itensCodigo);
        }

        View::share ( 'itemMenu', 10);

        $RODGRU = DB::table('RODGRU')->select('CODIGO','DESCRI')->orderBy('DESCRI','ASC')->get();
        $lista_pacote_menu = DB::table('MENUPACOTE')->select('CODIGO')->pluck('CODIGO')->toArray();

        return view('centrodegastounidade.pacote',['RODGRU'=>$RODGRU,'lista_pacote_menu'=>$lista_pacote_menu]);
    }


}

resources/views/centrodegastounidade/create.blade.php
@extends('master',['itemMenu'=>$itemMenu])

@section('page_header')

@php
$menuTitulo = Config::get('menu.menuTitulo');
$menuIcon = Config::get('menu.menuIcon');
$menuUrl = Config::get('menu.menuUrl');
@endphp
    <h1 class="page-title">
    <i class="{{ $menuIcon[$itemMenu] }}"></i> {{ $menuTitulo[$itemMenu] }}
    </h1>
@stop

@section('content')
<style>
.row>[class*=col-] {
    margin-bottom: 5px;
}
</style>
<div class="page-content container-center">

        <div class="alerts"></div>
            <div class="row">
                <div class="col-md-6">
                    <div class="panel panel-bordered">
                        <form name="frmAdd" method="POST" action="{{route('centrodegastounidade.store')}}">
                        {{ csrf_field() }}
                        <div class="panel-body">
                                    <div class="form-group  ">
                                            <label for="name">Centro de Gasto</label>
                                            <select class="form-control select2" name="CODCGA">
                                                @foreach ($listaRodcga as $lr)
                                                <option value="{{$lr->CODCGA}}">{{$lr->CODCGA}} - {{$lr->CENTRODEGASTO}}</option>
                                                @endforeach
                                            </select>
                                    </div>
                                    <label for="name">Unidade</label>
                                    @foreach ($listaRodunn as $un)
                                    
                                    <div class="form-group" >
                                            <label style="font-weight:normal!important;"><input type="checkbox" name="CODUNN[]" value="{{$un->CODUNN}}">{{$un->CODUNN}} - {{$un->UNIDADE}}</label>
                                    </div>    
                                    @endforeach
                               
                          
                        </div>
                        <div class="panel-footer">
                                <button type="submit" class="btn btn-primary save">Salvar</button>
                        </div>
                       </form> 
                    </div>        
                </div>
            </div>                      
</div>
@endsection
@section('javascript')
<script>
        $(document).ready( function () {
          });
</script>
@endsection

resources/views/centrodegastounidade/edit.blade.php
@extends('master',['itemMenu'=>$itemMenu])

@section('page_header')

@php
$menuTitulo = Config::get('menu.menuTitulo');
$menuIcon = Config::get('menu.menuIcon');
$menuUrl = Config::get('menu.menuUrl');
@endphp
    <h1 class="page-title">
    <i class="{{ $menuIcon[$itemMenu] }}"></i> {{ $menuTitulo[$itemMenu] }}
    </h1>
@stop

@section('content')
<style>
.row>[class*=col-] {
    margin-bottom: 5px;
}
</style>
<div class="page-content container-fluid">

        <div class="alerts"></div>
            <div class="row">
                <div class="col-md-6">
                    <div class="panel panel-bordered">
                        <form name="frmAdd" method="POST" action="{{route('centrodegastounidade.update',$codcga)}}">
                        {{ csrf_field() }}
                        <input type="hidden" name="_method" value="PUT">
                        <div class="panel-body">
                                    <div class="form-group  ">
                                            <label for="name">Centro de Gasto</label>
                                            <select class="form-control select2" name="CODCGA">
                                                @foreach ($listaRodcga as $lr)
                                                    @if($lr->CODCGA == $codcga)
                                                        <option selected="selected" value="{{$lr->CODCGA}}">{{$lr->CODCGA}} - {{$lr->CENTRODEGASTO}}</option>
                                                    @else
                                                        <option value="{{$lr->CODCGA}}">{{$lr->CODCGA}} - {{$lr->CENTRODEGASTO}}</option>
                                                    @endif
                                                @endforeach
                                            </select>
                                    </div>
                                    <label for="name">Unidade</label>
                                    @foreach ($listaRodunn as $un)
                                    
                                    <div class="form-group" >
                                            <label style="font-weight:normal!important;"><input type="checkbox"  @if(in_array($un->CODUNN,$unidades)) checked="checked" @endif name="CODUNN[]" value="{{$un->CODUNN}}">{{$un->CODUNN}} - {{$un->UNIDADE}}</label>
                                    </div>    
                                    @endforeach
                        </div>
                        <div class="panel-footer">
                                <button type="submit" class="btn btn-primary save">Salvar</button>
                        </div>
                       </form> 
                    </div>        
                </div>
            </div>                      
</div>
@endsection
@section('javascript')
<script>
        $(document).ready( function () {
          });
</script>
@endsection

resources/views/centrodegastounidade/index.blade.php
@extends('master',['itemMenu'=>$itemMenu])

@section('page_header')

@php
$menuTitulo = Config::get('menu.menuTitulo');
$menuIcon = Config::get('menu.menuIcon');
$menuUrl = Config::get('menu.menuUrl');
@endphp
    <h1 class="page-title">
    <i class="{{ $menuIcon[$itemMenu] }}"></i> {{ $menuTitulo[$itemMenu] }}
    <a href="{{route('centrodegastounidade.create')}}" class="btn btn-success btn-add-new">
        <i class="admin-plus"></i> <span>Adicionar</span>
    </a>
    </h1>
@stop

@section('content')
<style>
.row>[class*=col-] {
    margin-bottom: 5px;
}
.table {
        font-size:10px !important;
    }
.table>thead>tr>th {
    font-weight: bolder;
    color: #526069;
}    
.btn {
    padding: 4px 6px;
    font-size: 11px;
    margin-top: 0px; 
    margin-bottom: 0px;
}
</style>
<div class="page-content container-fluid">

        <div class="alerts"></div>
            <div class="row">
                <div class="col-md-12">
                    <div class="panel panel-bordered">
                        <div class="panel-body">
                        <table class="table table-bordered" id="laravel_datatable">
                                <thead>
                                   <tr>
                                      <th>CODCGA</th>
                                      <th>CENTRO DE GASTO</th>
                                      <th>UNIDADE(S)</th>
                                      <th width="100px">AÇÃO</th>
                                   </tr>
                                </thead>
                        </table>
                        </div>
                    </div>        
                </div>
            </div>                      
</div>
@endsection
@section('javascript')
<script>
        $(document).ready( function () {
         $('#laravel_datatable').DataTable({
                processing: true,
                serverSide: true,
                ajax: "{{ url('cdgu-list') }}",
                columns: [
                         { data: 'CODCGA', name: 'CODCGA' },
                         { data: 'CENTRODEGASTO', name: 'CENTRODEGASTO' },
                         { data: 'UND', name: 'UND' },
                         { data: 'action', name: 'action', orderable: false, searchable: false}
                      ],
                      language:{
                        "sEmptyTable": "Nenhum registro encontrado",
                        "sInfo": "Mostrando de _START_ até _END_ de _TOTAL_ registros",
                        "sInfoEmpty": "Mostrando 0 até 0 de 0 registros",
                        "sInfoFiltered": "(Filtrados de _MAX_ registros)",
                        "sInfoPostFix": "",
                        "sInfoThousands": ".",
                        "sLengthMenu": "_MENU_ resultados por página",
                        "sLoadingRecords": "Carregando...",
                        "sProcessing": "Processando...",
                        "sZeroRecords": "Nenhum registro encontrado",
                        "sSearch": "Pesquisar",
                        "oPaginate": {
                            "sNext": "Próximo",
                            "sPrevious": "Anterior",
                            "sFirst": "Primeiro",
                            "sLast": "Último"
                        },
                        "oAria": {
                            "sSortAscending": ": Ordenar colunas de forma ascendente",
                            "sSortDescending": ": Ordenar colunas de forma descendente"
                        }
                    }
                      
             });
          });
</script>
@endsection

resources/views/centrodegastounidade/pacote.blade.php
@extends('master',['itemMenu'=>$itemMenu])

@section('page_header')

@php
$menuTitulo = Config::get('menu.menuTitulo');
$menuIcon = Config::get('menu.menuIcon');
$menuUrl = Config::get('menu.menuUrl');
@endphp
    <h1 class="page-title">
    <i class="{{ $menuIcon[$itemMenu] }}"></i> {{ $menuTitulo[$itemMenu] }}
    </h1>
@stop

@section('content')
<style>
.row>[class*=col-] {
    margin-bottom: 5px;
}
</style>
<div class="page-content container-fluid">

        <div class="alerts"></div>
            <div class="row">
                <div class="col-md-8">
                    <div class="panel panel-bordered">
                    <form name="frmPacote" method="POST" enctype="multipart/form-data" action="{{route('centrodegastounidade/pacote')}}" >
                        {{ csrf_field() }}
                        <div class="form-group">
                                <table>
                                    <tr>
                                        <td valign="top">
                                            <ul class="list-group" style="font-size:10px!important;padding-left:10px;">
                                            <li class="list-group-item active">PACOTES</li>
                                            <li class="list-group-item" style="background-color:lightgrey"><label><input id="checkAll3" type="checkbox"> MARCAR/DESMARCAR TODOS </label></li>
                                                @foreach ($RODGRU as $pac)

                                                    @if(in_array($pac->CODIGO,$lista_pacote_menu))
                                                        <li class="list-group-item"><label><input checked="checked" class="item3" name="codigo[]" type="checkbox" value="{{$pac->CODIGO}}"> {{$pac->CODIGO}} - {{$pac->DESCRI}}</label></li>
                                                    @else
                                                        <li class="list-group-item"><label><input class="item3" name="codigo[]" type="checkbox" value="{{$pac->CODIGO}}"> {{$pac->CODIGO}} - {{$pac->DESCRI}}</label></li>
                                                    @endif

                                                @endforeach
                                        </ul>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        <div class="panel-footer">
                                {{ Form::submit('Atualizar', array('class' => 'btn btn-primary')) }}
                        </div>
                       </form>
                    </div>
                </div>
            </div>
</div>
@endsection
@section('javascript')
<script>
    $('#checkAll1').click(function () {
    $(':checkbox.item1').prop('checked', this.checked);
    });

    $('#checkAll2').click(function () {
    $(':checkbox.item2').prop('checked', this.checked);
    });

    $('#checkAll3').click(function () {
    $(':checkbox.item3').prop('checked', this.checked);
    });

        $(document).ready( function () {



          });
</script>
@endsection